version: '3.3'
services:

  service:
    build:
      context: .
      dockerfile: /register-guest-service/Dockerfile
    image: register-guest-service-image
    ports:
     - "8081:80"

  register-web-ui:
    build:
      context: .
      dockerfile: /register-web-ui/Dockerfile
    image: register-web-ui-image
    ports:
      - '8082:80'

  is-registered-web-ui:
    build:
      context: .
      dockerfile: /is-registered-web-ui/Dockerfile
    image: is-registered-web-ui-image
    ports:
       - '8080:80'

  database:
    build:
      context: .
      dockerfile: register-guest-data-base/Dockerfile
    image: database-image
    restart: always
    environment:
      MYSQL_DATABASE: 'registerguest'
      MYSQL_ROOT_HOST: '%'
      # So you don't have to use root, but you can if you like
      MYSQL_USER: 'user'
      # You can use whatever password you like
      MYSQL_PASSWORD: 'password'
      # Password for root access
      MYSQL_ROOT_PASSWORD: 'password'
    ports:
      # <Port exposed> : < MySQL Port running inside container>
      - '3306:3306'
    expose:
      # Opens port 3306 on the container
      - '3306'
      # Where our data will be persisted
    volumes:
      - my-db:/var/lib/mysql
# Names our volume
volumes:
  my-db:
